php-phpseclib_2.0.6-1_all.deb


Advertisement

Description

php-phpseclib - implementations of an arbitrary-precision integer arithmetic library

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name php-phpseclib
Package version 2.0.6
Package release 1
Package architecture all
Package type deb
Installed size 1.17 KB
Download size 170.48 KB
Official Mirror archive.ubuntu.com
The PHP Secure Communications Library are fully PKCS#1 (v2.1) compliant
RSA, DES, 3DES, RC4, Rijndael, AES, Blowfish, Twofish, SSH-1, SSH-2, SFTP, and
X.509 implementations.

Alternatives

Package Version Architecture Repository
php-phpseclib_2.0.6-1_all.deb 2.0.6 all Ubuntu Universe
php-phpseclib - - -

Requires

Name Value
php-common -

Provides

Name Value
php-seclib = 2.0.6-1

Conflicts

Name Value
php-seclib >= 2

Replaces

Name Value
php-seclib >= 2

Download

Type URL
Binary Package php-phpseclib_2.0.6-1_all.deb
Source Package php-phpseclib

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install php-phpseclib deb package:
    # sudo apt-get install php-phpseclib

Files

Path
/usr/share/doc/php-phpseclib/changelog.Debian.gz
/usr/share/doc/php-phpseclib/copyright
/usr/share/doc/php-phpseclib/examples/openssl.cnf
/usr/share/php/phpseclib/autoload.php
/usr/share/php/phpseclib/bootstrap.php
/usr/share/php/phpseclib/Crypt/AES.php
/usr/share/php/phpseclib/Crypt/Base.php
/usr/share/php/phpseclib/Crypt/Blowfish.php
/usr/share/php/phpseclib/Crypt/DES.php
/usr/share/php/phpseclib/Crypt/Hash.php
/usr/share/php/phpseclib/Crypt/RC2.php
/usr/share/php/phpseclib/Crypt/RC4.php
/usr/share/php/phpseclib/Crypt/RSA.php
/usr/share/php/phpseclib/Crypt/Random.php
/usr/share/php/phpseclib/Crypt/Rijndael.php
/usr/share/php/phpseclib/Crypt/TripleDES.php
/usr/share/php/phpseclib/Crypt/Twofish.php
/usr/share/php/phpseclib/File/ANSI.php
/usr/share/php/phpseclib/File/ASN1.php
/usr/share/php/phpseclib/File/X509.php
/usr/share/php/phpseclib/File/ASN1/Element.php
/usr/share/php/phpseclib/Math/BigInteger.php
/usr/share/php/phpseclib/Net/SCP.php
/usr/share/php/phpseclib/Net/SFTP.php
/usr/share/php/phpseclib/Net/SSH1.php
/usr/share/php/phpseclib/Net/SSH2.php
/usr/share/php/phpseclib/Net/SFTP/Stream.php
/usr/share/php/phpseclib/System/SSH/Agent.php
/usr/share/php/phpseclib/System/SSH/Agent/Identity.php

Changelog

2017-08-04 - David Prévot <taffit@debian.org>
php-phpseclib (2.0.6-1) unstable; urgency=medium
* New upstream release
* Update Standards-Version to 4.0.0
2016-10-20 - David Prévot <taffit@debian.org>
php-phpseclib (2.0.4-1) unstable; urgency=medium
* New upstream release
2016-09-22 - David Prévot <taffit@debian.org>
php-phpseclib (2.0.3-1) unstable; urgency=medium
* New upstream release
2016-06-05 - David Prévot <taffit@debian.org>
php-phpseclib (2.0.2-1) unstable; urgency=medium
[ Andreas Fischer ]
* Add bootstrap.php checking environment (MB_OVERLOAD_STRING).
[ David Prévot ]
* Load new bootstrap file
* Update Standards-Version to 3.9.8
2016-03-09 - David Prévot <taffit@debian.org>
php-phpseclib (2.0.1-2) unstable; urgency=medium
* Drop ownCloud for Debian maintainers from uploaders
* Rebuild with recent pkg-php-tools for the PHP 7.0 transition
(Closes: #817272)
2016-02-03 - David Prévot <taffit@debian.org>
php-phpseclib (2.0.1-1) unstable; urgency=medium
* Drop inadequate Replaces, Conflicts and Provides
* Rename version 2 as php-phpseclib.
Use the “proper” Composer name, and allow one to install it along with
php-seclib (version 1). Both versions are still supported, and various
packages still depending of version 1 are unlikely to be ready to use
version 2 in time for Stretch.
* Update Standards-Version to 3.9.7
2016-01-18 - David Prévot <taffit@debian.org>
phpseclib (2.0.1-1) experimental; urgency=medium
[ Andreas Fischer ]
* Correct indentation on pvno array definition.
[ terrafrost ]
* composer.json: rm pear-pear/PHP_Compat
* CHANGELOG: add 1.0.1 changes
[ Michele Locati ]
* Exclude some dirs and files from repository auto-generated ZIP archives
[ Prayag Verma ]
* Update license year range to 2016
[ David Prévot ]
* Adapt packaging to removed tests
* Restore upstream changelog
* Update copyright
* Drop now useless override for php-compat
2015-09-26 - David Prévot <taffit@debian.org>
phpseclib (2.0.0-1) experimental; urgency=medium
* Upload new 2. branch to experimental
[ Andreas Fischer ]
* Require PHP 5.3 in composer.json
* PHP 5.3+: Replace custom autoloader with composer autoloader.
* Add PSR4 namespace to composer.json.
* Add namespace statement. Rename class.
[ David Prévot ]
* Revert "Track the 1. branch"
* Adapt packaging to namespace change
* Update tests
2015-09-26 - David Prévot <taffit@debian.org>
phpseclib (1.0.0-2) unstable; urgency=medium
* Upload 1. branch to unstable since no (negative) feedback was shared
2015-08-30 - David Prévot <taffit@debian.org>
phpseclib (1.0.0-1) experimental; urgency=medium
* Upload 1. branch to experimental, so that it can be tested in advance
[ terrafrost ]
* update phpseclib to 1.0.0
[ Andreas Fischer ]
* Update PHP Code Sniffer to 2.3.3
[ David Prévot ]
* Track the 1. branch
* Handle Blowfish renaming at build time
* Revert "Drop phpcs call from tests"
* Update copyright (years)
* Use php5-mcrypt to pass more tests

See Also

Package Description
php-phpspec-prophecy_1.7.0-1_all.deb object mocking framework - phpspec component
php-pimple_3.0.2-2ubuntu1_all.deb simple dependency injection container -- class
php-pinba_1.1.0-3build1_i386.deb Pinba module for PHP
php-propro-dev_2.0.1+1.0.2-1build1_all.deb propro module for PHP development headers [dummy]
php-propro_2.0.1+1.0.2-1build1_i386.deb propro module for PHP
php-proxy-manager_2.1.1-1_all.deb library providing utilities to operate with Object Proxies
php-ps_1.4.1-1_i386.deb ps module for PHP
php-psr-cache_1.0.1-1_all.deb Common interface for caching libraries
php-psr-http-message_1.0-2_all.deb Common interface for HTTP messages
php-psr-log_1.0.0-4_all.deb common interface for logging libraries
php-radius_1.4.0~b1-6build1_i386.deb radius client library for PHP
php-random-compat_2.0.2-2_all.deb PHP 5.x polyfill for random_bytes() and random_int() from PHP 7
php-raphf-dev_2.0.0+1.1.2-2build1_all.deb raphf module for PHP development headers [dummy]
php-raphf_2.0.0+1.1.2-2build1_i386.deb raphf module for PHP
php-react-promise_2.4.1-1_all.deb lightweight implementation of CommonJS Promises/A for PHP
Advertisement
Advertisement